/*
 * Navbar
 *
 */

/**
 * @prop --z-index: The z-index of the Navbar.
 */

:host {
  --z-index: 3;

  position: fixed;
  bottom: 0;
  left: 0;
  z-index: var(--z-index);
  box-sizing: border-box;
  display: flex;
  align-items: center;
  width: 100%;
  height: 5.125rem;
  padding-left: 0;
  margin: 0;
  text-align: center;
  user-select: none;
  background-color: var(--road-surface);
  border-top: 1px solid var(--road-outline-weak);
}

@media (max-width: 576px) {

  :host {
    overflow-x: auto;
  }
}

@media (min-width: 1200px) {

  :host {
    bottom: auto;
    flex-direction: column;
    width: 104px;
    height: 100%;
    border-top: 0;
    border-right: 1px solid var(--road-outline-weak);
  }
}

/**
 * Button save drawer.
 */

::slotted(.drawer-button-save) {
  position: absolute;
  bottom: 0;
  width: 100%;
}
